From 6c1152b03b7ba00048ca46c424064aab14b2a18d Mon Sep 17 00:00:00 2001
From: Kevin Wolf <kwolf@redhat.com>
Date: Thu, 20 Nov 2014 13:47:21 +0100
Subject: [PATCH 2/5] Revert "Build ceph/rbd only for rhev"

Message-id: <1416491244-20209-2-git-send-email-kwolf@redhat.com>
Patchwork-id: 62496
O-Subject: [RHEL-7.1 qemu-kvm PATCH v2 1/4] Revert "Build ceph/rbd only for rhev"
Bugzilla: 1140742
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
RH-Acked-by: Max Reitz <mreitz@redhat.com>

This reverts commit 5d5af5b18e07ef4c97a45feeaad3fe493d38f427.

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>

Conflicts:
	configure
	redhat/qemu-kvm.spec.template

Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 block/Makefile.objs           |  2 +-
 configure                     | 11 -----------
 redhat/qemu-kvm.spec.template |  6 ------
 3 files changed, 1 insertion(+), 18 deletions(-)

diff --git a/block/Makefile.objs b/block/Makefile.objs
index dd01fb3..6b578d9 100644
--- a/block/Makefile.objs
+++ b/block/Makefile.objs
@@ -13,7 +13,7 @@ ifeq ($(CONFIG_POSIX),y)
 block-obj-y += nbd.o sheepdog.o
 block-obj-$(CONFIG_LIBISCSI) += iscsi.o
 block-obj-$(CONFIG_CURL) += curl.o
-block-obj-$(CONFIG_CEPH_SUPPORT) += rbd.o
+block-obj-y += rbd.o
 block-obj-$(CONFIG_GLUSTERFS) += gluster.o
 block-obj-$(CONFIG_LIBSSH2) += ssh.o
 endif
diff --git a/configure b/configure
index ca8b107..8db9dbe 100755
--- a/configure
+++ b/configure
@@ -248,7 +248,6 @@ tpm="no"
 libssh2=""
 live_block_ops="yes"
 live_block_migration="no"
-ceph_support="yes"
 vhdx=""
 
 # parse CC options first
@@ -959,10 +958,6 @@ for opt do
   ;;
   --enable-live-block-migration) live_block_migration="yes"
   ;;
-  --disable-ceph-support) ceph_support="no"
-  ;;
-  --enable-ceph-support) ceph_support="yes"
-  ;;
   --enable-vhdx) vhdx="yes"
   ;;
   --disable-vhdx) vhdx="no"
@@ -1245,8 +1240,6 @@ echo "  --disable-live-block-ops disable live block operations support"
 echo "  --enable-live-block-ops  enable live block operations support"
 echo "  --disable-live-block-migration disable live block migration"
 echo "  --enable-live-block-migration  enable live block migration"
-echo "  --disable-ceph-support   disable support for rbd block driver support"
-echo "  --enable-ceph-support    enable support for rbd block driver support"
 echo "  --disable-vhdx           disables support for the Microsoft VHDX image format"
 echo "  --enable-vhdx            enable support for the Microsoft VHDX image format"
 echo ""
@@ -4105,10 +4098,6 @@ if test "$live_block_migration" = "yes" ; then
   echo "CONFIG_LIVE_BLOCK_MIGRATION=y" >> $config_host_mak
 fi
 
-if test "$ceph_support" = "yes"; then
-  echo "CONFIG_CEPH_SUPPORT=y" >> $config_host_mak
-fi
-
 if test "$vhdx" = "yes" ; then
   echo "CONFIG_VHDX=y" >> $config_host_mak
 fi
-- 
1.8.3.1

